<template>
<div>
  <div
    v-if="!upload && !download"
    class="button"
    :class="{'large': large, 'small': small,}"
  >
    <p :class="{'arrow': arrow}">{{text}}</p>
  </div>
  <div
    v-if="upload"
    class="button-load"
    :class="{'large': large, 'small': small,}"
  >
    <p :class="{'arrow': upload}">{{text}}</p>
  </div>
</div>
</template>

<script>
export default {
  name: "Button",
  props: {
    text: String,
    large: Boolean,
    small: Boolean,
    arrow: {
      type: Boolean,
      default: false
    },
    upload: Boolean,
    download: Boolean
  }
}
</script>

<style scoped lang="scss">
.button {
  background: #2B7FE2;
  border-radius: 12px;
  padding: 18px 0;
  display: flex;
  justify-content: center;

  font-weight: 600;
  font-size: 20px;
  line-height: 120%;
  color: #FFFFFF;
  cursor: pointer;
  &.small {
    width: 200px;
    height: 40px;
    padding: 9px 0;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    border-radius: 8px;
    margin: 0 auto;
  }
  &.large {
    width: 100%;
  }
  .arrow {
    position: relative;
    &:before {
      content: '';
      background: url("../assets/images/btn-arrow-right.svg");
      background-size: cover;
      background-position: center;
      width: 10px;
      height: 16px;
      position: absolute;
      right: -20px;
      top: calc(50% - 8px);
    }
  }
}
.button-load {
  margin: 0 auto;
  border: 1px solid #2B7FE2;
  width: 200px;
  height: 40px;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  p {
    font-weight: 400;
    font-size: 18px;
    line-height: 140%;
    color: #2B7FE2;
    position: relative;
    transform: translate(10px);
    &:before {
      content: '';
      position: absolute;
      top: 3px;
      left: -23px;
      width: 18px;
      height: 16px;
      background: url("../assets/images/icons/upload.svg");
      background-size: cover;
    }
  }
}
</style>
